Follow @thinksojoe on twitter!

You're kidding, right? (ARCHIVE POST)

So I'm sure I've mentioned here on ThinkSoJoE's Thoughts that I'm a Linux user (at least, I am on my laptop), and a FireFox user (on any computer anywhere), but if I haven't, I'm a Linux user (Xubuntu is my distribution of choice, for what it's worth), and a FireFox user.  I'm also stuck in a deadend job doing something I hate for less money than I'm worth.  I'm looking to get out of here and into something more fun, like, oh, I don't know, maybe a toy store.  So I hit up Toys Я Us's website, then clicked on Careers, hoping to be able to apply online for the nearest location (which, for the record, is a few towns away - my hometown is devoid of toy stores), when I reached this screen (click for full):

 

(IMAGE MISSING)

 

Alright, I can understand no Linux support.  I'm used to that by now, but the only Operating Systems it supports are Win98, Win2K, and WinXP?  No love for MacOS?  What about Vista?  The browser support is no better - IE5, IE6, and Netscape 7??  Netscape 7?!?  Netscape 8 was released in November of 2004 - that's four and a half years ago, kids.  Not to mention that IE6 is the bane of my existence and IE7 was released in October of 2006.

 

Come on, TRU, it's about time to update your website, five years is a little too long.

Posted by ThinkSoJoE on Sunday, April 19, 2009 at 12:40 pm
Category: Miscellaneous
Keywords: user, linux, netscape, website, firefox, thinksojoe